
function SetupButtons()
{
	var elem = document.getElementById('protocolselect');
	if(elem)
	{
		elem.addEventListener("change", 
		function(event)
		{
			checkPort();
			checkICMPVers();
		}
		);
	}

	var elem = document.getElementById('mICMPMes');
	if(elem)
		elem.addEventListener("change", checkICMPMes);

	var elem = document.getElementById('mICMPType');
	if(elem)
		elem.addEventListener("change", checkICMPTypeCode);

	var elem = document.getElementById('mICMPCode');
	if(elem)
		elem.addEventListener("change", checkICMPTypeCode);

	var elem = document.getElementById('mMatchType');
	if(elem)
		elem.addEventListener("change", checkPort);
	
	var elem = document.getElementById('mSourceAddr');
	if(elem)
		elem.addEventListener("change", checkPort);

	var elem = document.getElementById('mSourcePort');
	if(elem)
		elem.addEventListener("change", checkPort);

	var elem = document.getElementById('mTargetAddr');
	if(elem)
		elem.addEventListener("change", checkPort);

	var elem = document.getElementById('mTargetPort');
	if(elem)
		elem.addEventListener("change", checkPort);


	var elem = document.getElementById('mCustSourceAddr');
	if(elem)
	{
		elem.addEventListener("keyup", 
		function(event)
		{
			toggleInputFields(document.update.mCustSourceAddr,3, 0);
		}
		);
	}
	var elem = document.getElementById('mCustSourcePort');
	if(elem)
	{
		elem.addEventListener("keyup", 
		function(event)
		{
			toggleInputFields(document.update.mCustSourcePort,3, 0);
		}
		);
	}

	var elem = document.getElementById('mCustTargetAddr');
	if(elem)
	{
		elem.addEventListener("keyup", 
		function(event)
		{
			toggleInputFields(document.update.mCustTargetAddr,3, 0);
		}
		);
	}
	var elem = document.getElementById('mCustTargetPort');
	if(elem)
	{
		elem.addEventListener("keyup", 
		function(event)
		{
			toggleInputFields(document.update.mCustTargetPort,3, 0);
		}
		);
	}
}

function searchStart()
{
	var icmpv6 = 58;
	var icmp = 1;
	var tcp = 6;
	var udp = 17;

	enable(document.update.mMatchType);

	if(document.update.mProto.value == icmp || document.update.mProto.value == icmpv6 )
		checkICMPTypeCode();
	
	checkChoice(document.update.mProto, icmp,icmpv6, 
		document.update.mICMPMes, document.update.mICMPCode, document.update.mICMPType);

	//Protocol handled by enableMost
   	checkChoice(document.update.mProto, tcp, udp, document.update.mSourcePort, document.update.mCustSourcePort);
	checkChoice(document.update.mProto, tcp, udp, document.update.mTargetPort, document.update.mCustTargetPort);
	if(selectedChoice(document.update.mProto, tcp) || selectedChoice(document.update.mProto, udp))
	{
		checkChoice(document.update.mSourcePort, -1, 0, document.update.mCustSourcePort);
		checkChoice(document.update.mTargetPort, -1, 0, document.update.mCustTargetPort);
	}
}


document.addEventListener("DOMContentLoaded", 
		function(event)
		{
			SetupButtons();
			searchStart()
			checkICMPVers();
			checkICMPVers();
			document.update.mICMPType.value = document.update.icmptype.value;
			document.update.mICMPCode.value = document.update.icmpcode.value;
			document.update.mICMPMes.value = document.update.icmpmesg.value;
			checkPage();
		}
	);





