function SetupButtons()
{
	var elem = document.getElementById('delete');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			if (confirm("Delete Interface?")) 
				; 
			else
				event.preventDefault();
		}
		);
	}
	
	var elem = document.getElementById('save');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			if (saveCheck()) 
				; 
			else
				event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('Apply');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			if (saveCheck()) 
				; 
			else
				event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('closeDetails');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('detailsdiv', 0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('closeApproveListsDiv');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('approveListsDiv', 0);
			event.preventDefault();
		}
		);

	}

	var elem = document.getElementById('hidepromptcreddiv');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('promptcreddiv', 0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('syncit');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('promptcreddiv', 0);
			event.preventDefault();
			QuickSyncWarn();
		}
		);
	}

	var elem = document.getElementById('note');
	if(elem)
	{
		elem.addEventListener("keydown", 
		function(event)
		{
			if(event.keyCode == 13)
				event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('showinterfacelist');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer("inamediv",1,0,0,0,event); 
			loadInterfaceList();
		}
		);
	}


	var elem = document.getElementById('cancelinterfacelist');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer("inamediv",0); 
		}
		);
	}

	var elem = document.getElementById('saveinterfacelist');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer("inamediv",0); 
			saveInterfaceList();
		}
		);
	}




}

document.addEventListener("DOMContentLoaded", 
	function(event)
	{
		SetupButtons();
		bgpagerequest_logtablesection();
	}
);

function SetupDetailsButtons()
{
	var counter = 0;
	while(1)
	{
		var elem = document.getElementById('detailsbutton' + counter);
		if(!elem)
			break;

		elem.addEventListener("click", 
			function(event)
			{
				// get id number
				var buttonname = this.id;
				buttonname = buttonname.slice(13); // length of 'detailsbutton'
				// get corresponding details from hidden field and put in details div
				var detailsdata = document.getElementById('detailscontent' + buttonname);
				var visibledata = document.getElementById('detailsdivcontent');
				visibledata.innerHTML=detailsdata.value;
				// show details div
				displayLayer('detailsdiv', 1,0,0,0,event);
				event.preventDefault();
			}
			);
		counter++;
	}

	var elem = document.getElementById('synccmddisp');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			if(event)
				event.preventDefault();
			displayLayer('promptcreddiv', 1,0,0,0,event);
			if(document.forms['syncform'].elements['promptDevicePassword'])
				document.forms['syncform'].elements['promptDevicePassword'].focus();
			else
				document.forms['syncform'].elements['note'].focus();
		}
		);
	}

	var elem = document.getElementById('cancelsync');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			cancel();
			document.forms['syncform'].elements['action'].value='CancelSync';
			document.forms['syncform'].submit();
			QuickSyncWarn();
		}
		);
	}


}

function bgpageresults(param) 
{
 var hasErr = 1;
 var doAppend = 0;
 var cmds = param.split("!##!");
 while(cmds.length)
 {
  var cmd = cmds[0];
  switch(cmd)
  {
   case "0":
    hasErr = false;
    break;
   case "2":
    cmds.shift();
    var torun = cmds[0];
	if(torun == 'bgpagerequest_logtablesection()')
		setTimeout( bgpagerequest_logtablesection, 4000 );
	else if(torun == 'SetupDetailsButtons')
		SetupDetailsButtons();
	else if(torun == 'QuickSync')
		QuickSync();
	else if(torun == 'sync')
		sync();
	else if(torun.slice(0, 8) == 'WarnMsg ')
	{
		torun = torun.substr(8);

		var index = 0;
		var num = "";
		do
		{
		    num += torun[index];
		} while (torun[++index] >= "0" && torun[index] <= "9");
		var msg = torun.substr(num.length);
		WarnMsg(msg, num);
	}
	else
	    eval(torun);
    break;
   case "4":
   case "3":
    cmds.shift();
    var length = cmds.shift();
    var div = cmds.shift();
    var data = cmds[0];
    while(data.length < parseInt(length) && cmds.length > 1)
    {
     cmds.shift();
     data += "!##!";
     data += cmds[0];
    }
    UpdateDiv(cmd == "4", div, data);
	var elem = document.getElementById('approveListsButton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('approveListsDiv', 1,1,0,0,event);
			event.preventDefault();
		}
		);
	}
	var elem = document.getElementById('approveListsBottomButton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('approveListsDiv', 1,1,0,0,event);
			event.preventDefault();
		}
		);
	}
    break;
   case "1":
   default:
    hasErr = true;
    break;
  }
  cmds.shift();
 }
}


