function SetupButtons()
{
	var elem = document.getElementById('syncselectedbutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer("synccommentdiv",1,2,0,-100,event); 
			document.forms["syncallform"].elements["note"].focus();
		}
		);
	}

	var elem = document.getElementById('syncbutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer("synccommentdiv",0); 
			QuickSyncWarn(-1);
		}
		);
	}

	var elem = document.getElementById('cancelsyncbutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer("synccommentdiv",0); 
		}
		);
	}

	var elem = document.getElementById('gotopagebutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 1, 1,0,0,event);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('gotopagecancel');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('howmany');
	if(elem)
	{
		elem.addEventListener("change", 
		function(event)
		{
			howManyChange('interfacepageperpage');
		}
		);
	}

	var elem = document.getElementById('note');
	if(elem)
	{
		elem.addEventListener("keydown", 
		function(event)
		{
			if(event.keyCode == 13)
				event.preventDefault();
		}
		);
	}

}

document.addEventListener("DOMContentLoaded", 
	function(event)
	{
		SetupButtons();
		SetupChecks();
		bgpagerequest_bg();
	}
);

var sSyncIconLinkID = 0;
function bgpageresults(param) 
{
 var hasErr = 1;
 var doAppend = 0;
 var cmds = param.split("!##!");
 while(cmds.length)
 {
  var cmd = cmds[0];
  switch(cmd)
  {
   case "0":
    hasErr = false;
    break;
   case "2":
    cmds.shift();
    var torun = cmds[0];
	if(torun == 'bgpagerequest_bg()')
		setTimeout( bgpagerequest_bg, 1500 );
	else if(torun.slice(0, 8) == 'InfoMsg ')
		InfoMsg(torun.substr(8));
	else if(torun.slice(0, 10) == 'QuickSync ')
		QuickSync(parseInt(torun.substr(10)));
	else if(torun.slice(0, 14) == 'QuickSyncWarn ')
	{
		id = parseInt(torun.substr(14));
		divdata = "<a id='synclink" + sSyncIconLinkID + "' "; // an incrementing id
		divdata += "name='synclink" + id + "' "; // the target id
		divdata += "href='#' title='Sync' ><img src='/images/sync.png' alt='Sync' /></a>";
		divid = "tgt" + id;
		UpdateDiv(true, divid, divdata);

		// set a click handler
		var elem = document.getElementById('synclink' + sSyncIconLinkID);
		if(elem)
		{
			elem.addEventListener("click", 
			function(event)
			{
				event.preventDefault();
				var idstr = this.name;
				idstr = idstr.substr(8);
				QuickSyncWarn(parseInt(idstr));
			}
			);
		}

		sSyncIconLinkID++;
	}
	else if(torun.slice(0, 8) == 'WarnMsg ')
	{
		torun = torun.substr(8);

		var index = 0;
		var num = "";
		do
		{
		    num += torun[index];
		} while (torun[++index] >= "0" && torun[index] <= "9");
		var msg = torun.substr(num.length);
		WarnMsg(msg, num);
	}
	else
	    eval(torun);
    break;
   case "4":
   case "3":
    cmds.shift();
    var length = cmds.shift();
    var div = cmds.shift();
    var data = cmds[0];
    while(data.length < parseInt(length) && cmds.length > 1)
    {
     cmds.shift();
     data += "!##!";
     data += cmds[0];
    }
    UpdateDiv(cmd == "4", div, data);
    break;
   case "1":
   default:
    hasErr = true;
    break;
  }
  cmds.shift();
 }
}


